classification
Title: python.desktop
Type: enhancement Stage: patch review
Components: Installation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: agb, dmalcolm, eric.araujo, georg.brandl, loewis, mribecky, ncoghlan, pitrou, sonderblade, terry.reedy
Priority: low Keywords: easy

Created on 2005-11-10 18:22 by sonderblade, last changed 2017-02-09 18:03 by ncoghlan.

Files
File name Uploaded Description Edit
python.desktop sonderblade, 2005-11-16 18:12 A freedesktop .desktop file for Python
pycon.png sonderblade, 2005-11-16 18:14 A desktop icon for python
python.desktop georg.brandl, 2005-11-17 13:43 With German translation
python.desktop pitrou, 2008-01-18 21:10 With French translation
pycon.png pitrou, 2008-01-18 21:11 A PNG icon created from PC/pycon.ico
python.desktop agb, 2009-04-15 09:04 With Italian translation
python.desktop mribecky, 2009-09-04 20:35 With spanish translation
python.desktop Shubham Dash, 2015-10-13 14:50
Messages (20)
msg54679 - (view) Author: Björn Lindqvist (sonderblade) Date: 2005-11-10 18:22
I would very much like a
/usr/share/applications/python.desktop file so that
Python can be started from the Program-menu in Linux,
just like you can from the Start-menu in Windows. I
think it would be very neat and good for beginners.
msg54680 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-11-13 22:41
Logged In: YES 
user_id=21627

Would you be willing to provide one?
msg54681 - (view) Author: Björn Lindqvist (sonderblade) Date: 2005-11-16 18:16
Logged In: YES 
user_id=51702

I have attached a .desktop file and an icon. python.desktop
goes into /usr/share/applications and pycon.png into
/usr/share/pixmaps. It's only translated to Swedish because
I don't know other languages to well.
msg54682 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-11-17 13:43
Logged In: YES 
user_id=1188172

I added German translation. Regarding the icon: I do not
like that very much. Isn't there another Python icon
available in the standard sizes?
msg54683 - (view) Author: Björn Lindqvist (sonderblade) Date: 2006-01-09 17:52
Logged In: YES 
user_id=51702

In trunk there are PC/py.ico, PC/pyc.ico, PC/pycon.ico. I
guess they would all work as icons, but I choose pycon.ico
because that is the icon used on windows. I also wonder if
the desktop file can be applied soon? It seems pretty
trivial and uncontroversial to me. 
msg54684 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-01-20 21:52
Logged In: YES 
user_id=1188172

It seems that the new Python website will feature a new
icon. Perhaps that could be added to the distribution as the
default Python icon.
msg60119 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-18 21:10
I'm adding a French translation, and removing the "Application" category
(which doesn't exist as per the freedesktop specification).
Also, I think the Name is too long right now. "The Python programming
language" or "Le langage de programmation Python" looks longish for a
menu entry. So I suggest just setting the Name to "Python". The only
people for which the menu entry may be useful know what Python is anyway.

PS :
the desktop entry specification
http://www.freedesktop.org/wiki/Specifications/desktop-entry-spec
the menu spec (listing possible categories)
http://www.freedesktop.org/wiki/Specifications/menu-spec
msg85984 - (view) Author: Alessio G. B. (agb) Date: 2009-04-15 09:04
I have added the Italian translation.
msg92266 - (view) Author: Matías Ribecky (mribecky) Date: 2009-09-04 20:35
Added the spanish translation.
msg113207 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-07 21:20
I see lots of interest and several translations. Was there an intention to add this to the distribution (or has it been)? Or is it out-of-date?
msg115229 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-30 16:48
3 weeks since msg113207 and no response.  Seriously, what is a reasonable time before closing as out of date?
msg115230 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-30 16:49
That depends.  Especially feature requests need not be closed prematurely.
msg115238 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-30 18:53
I asked because there was no such thing in the Unix I once used and I have never used Linux (yet). I take Georg's answer to mean that this is not obviously obsolete and should be left open.
msg121422 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-18 02:22
Don’t we expect beginners to start IDLE from their menu, and middle to advanced users to type “python” in their terminal?  +0.

IDLE does have a .desktop file in my Debian, so +1 on integrating that in our source tree.
msg121429 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-11-18 02:56
I am past beginner stage and I still open with the Start mene ;-)
If/when I install Ubuntu or other Linux, I would like to still be able to do whatever is the equivalent, as with other stuff, rather than have to open a command window and type a command.
msg121431 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-18 03:09
Let me change my +0 to a +1 then :)

For reference, the file used in Debuntu for Pythonx.y.desktop: http://bazaar.launchpad.net/~doko/python/pkg3.1-debian/annotate/head%3A/PVER.desktop.in
idle.desktop: http://bazaar.launchpad.net/~doko/python/pkg3.1-debian/annotate/head%3A/idle.desktop.in

License unclear, author apparently doko, so I guess we’re good.
msg123670 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-09 05:46
Apart from the desktop file itself, which should be a merged version of the last attachment to this report and the files in Debuntu/Fedora/whatever, there is the issue of installation.  Someone has to track the desktop file spec or menu spec and edit one of the files involved in the Python build process.

I don’t know if having missed beta1 means that this will be deferred to 3.3.
msg154115 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-24 05:52
Here’s a patch by Georg for the unix install machinery: http://mail.python.org/pipermail/python-dev/2006-July/067261.html
msg209685 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-01-29 21:56
I just closed #15869 as a duplicate of this. I has another patch and possibly useful discussion.

To move forward, a concrete repository patch is needed. I only see here pieces of such a patch. I do not know how much of the Windows installation files are in the repository and how much in separate files. I know even less about Linux, what 'installation' means on that system, and how multiple languages would be handled.

I should think that an addition could be made to all open branches. While anything outside of idlelib is not covered by PEP 434, I think the same principles apply.
msg287444 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-02-09 18:03
From a downstream redistributor point of view, the key pieces it would be handy to consolidate upstream are the desktop file itself (with all the translations) and the preferred icon. It wouldn't really help much to have it integrated into "make install" since most redistributors split out tkinter and IDLE packages from the base installation anyway.

However, as Terry says, before the change can be accepted, those files need to be combined into an actual patch that:

- adds the desktop file and the icon to the Misc directory
- updates Misc/README to describe the new files
History
Date User Action Args
2017-02-09 18:03:25ncoghlansetmessages: + msg287444
2017-02-08 14:09:10petr.viktorinsetnosy: + ncoghlan
2015-10-13 14:50:11Shubham Dashsetfiles: + python.desktop
2014-02-03 15:34:02BreamoreBoysetnosy: - BreamoreBoy
2014-01-29 21:56:09terry.reedysetmessages: + msg209685
versions: + Python 2.7, Python 3.4
2014-01-29 21:46:18terry.reedylinkissue15869 superseder
2012-02-24 05:52:02eric.araujosetmessages: + msg154115
versions: + Python 3.3, - Python 3.2
2010-12-09 05:46:16eric.araujosetmessages: + msg123670
2010-11-18 16:12:47dmalcolmsetnosy: + dmalcolm
2010-11-18 03:09:16eric.araujosetmessages: + msg121431
2010-11-18 02:56:11terry.reedysetmessages: + msg121429
2010-11-18 02:22:23eric.araujosetnosy: + eric.araujo
messages: + msg121422
2010-08-30 18:53:24terry.reedysetmessages: + msg115238
2010-08-30 16:49:37georg.brandlsetmessages: + msg115230
2010-08-30 16:48:29BreamoreBoysetnosy: + BreamoreBoy
messages: + msg115229
2010-08-07 21:20:48terry.reedysetversions: + Python 3.2, - Python 2.6, Python 3.0
nosy: + terry.reedy

messages: + msg113207

stage: patch review
2009-09-04 20:35:27mribeckysetfiles: + python.desktop
nosy: + mribecky
messages: + msg92266

2009-04-15 09:04:12agbsetfiles: + python.desktop
nosy: + agb
messages: + msg85984

2008-01-18 21:11:58pitrousetfiles: + pycon.png
2008-01-18 21:10:46pitrousetfiles: + python.desktop
nosy: + pitrou
messages: + msg60119
2008-01-12 02:51:53christian.heimessetkeywords: + easy
2008-01-05 19:53:40christian.heimessetpriority: normal -> low
versions: + Python 2.6, Python 3.0
2005-11-10 18:22:43sonderbladecreate